edu.wpi.first.wpilibj.util

## Class UncleanStatusException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - edu.wpi.first.wpilibj.util.UncleanStatusException

- All Implemented Interfaces:
    java.io.Serializable

      public final class UncleanStatusException
      extends java.lang.IllegalStateException

  Exception for bad status codes from the chip object.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncleanStatusException()` Create a new UncleanStatusException.
    `UncleanStatusException(int status)` Create a new UncleanStatusException.
    `UncleanStatusException(int status, java.lang.String message)` Create a new UncleanStatusException.
    `UncleanStatusException(java.lang.String message)` Create a new UncleanStatusException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStatus()` Create a new UncleanStatusException.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UncleanStatusException

          public UncleanStatusException(int status,
                                        java.lang.String message)

      Create a new UncleanStatusException.
      Parameters:
        `status` - the status code that caused the exception
        `message` - A message describing the exception

    - #### UncleanStatusException

          public UncleanStatusException(int status)

      Create a new UncleanStatusException.
      Parameters:
        `status` - the status code that caused the exception

    - #### UncleanStatusException

          public UncleanStatusException(java.lang.String message)

      Create a new UncleanStatusException.
      Parameters:
        `message` - a message describing the exception

    - #### UncleanStatusException

          public UncleanStatusException()

      Create a new UncleanStatusException.

  - ### Method Detail

    - #### getStatus

          public int getStatus()

      Create a new UncleanStatusException.
      Returns:
        the status code that caused the exception